<?php

namespace frontend\models;

use Yii;
use yii\base\Model;
use yii\data\ActiveDataProvider;
use common\models\Contract;

/**
 * ContractSearch represents the model behind the search form about `common\models\Contract`.
 */
class ContractSearch extends Contract
{
	
	public $card;
	public $customer;
	
	public $parts;
	
    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['id_contract', 'id_user', 'id_customer', 'status', 'flag', 'part_paid', 'part_count', 'part_required'], 'integer'],
            [['expired_at', 'created_at', 'updated_at'], 'safe'],
        ];
    }

    /**
     * @inheritdoc
     */
    public function scenarios()
    {
        // bypass scenarios() implementation in the parent class
        return Model::scenarios();
    }

    /**
     * Creates data provider instance with search query applied
     *
     * @param array $params
     *
     * @return ActiveDataProvider
     */
    public function search($params)
    {
    	
        $query = Contract::find();

        $dataProvider = new ActiveDataProvider([
            'query' => $query,
        ]);

        $this->load($params);

        if (!$this->validate()) {
            // uncomment the following line if you do not want to return any records when validation fails
            // $query->where('0=1');
            return $dataProvider;
        }

        $query->andWhere([
        	'id_customer' => $this->customer->id_customer
        ]);
        
        $query->andFilterWhere([
//             'id_contract' => $this->id_contract,
//             'id_user' => $this->id_user,
//             'id_customer' => $this->id_customer,
//             'status' => $this->status,
//             'flag' => $this->flag,
//             'part_paid' => $this->part_paid,
//             'part_count' => $this->part_count,
//             'part_required' => $this->part_required,
//             'expired_at' => $this->expired_at,
//             'created_at' => $this->created_at,
//             'updated_at' => $this->updated_at,
        ]);
        
        
        

        return $dataProvider;
    }
}
